package com.chenyang.druid.sql.dialect.mysql.ast.clause;

import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlStatementImpl;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlDeclareConditionStatement extends MySqlStatementImpl {
   private String conditionName;
   private ConditionValue conditionValue;

   public String getConditionName() {
      return this.conditionName;
   }

   public void setConditionName(String conditionName) {
      this.conditionName = conditionName;
   }

   public ConditionValue getConditionValue() {
      return this.conditionValue;
   }

   public void setConditionValue(ConditionValue conditionValue) {
      this.conditionValue = conditionValue;
   }

   public void accept0(MySqlASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
